Subject: Re: bug#76697: gdk-pixbuf GDK_PIXBUF_MODULE_FILES search path breaks some packages

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 04 Mar 2025 09:37:12 +0900

Hi,

宋文武 <[email-masked]> writes:

> Morgan Smith <[email-masked]> writes:
>
>> I tried to reopen this bug instead of making a new one but I guess it's
>> archived or something? bug#75795
>>
>> Changing the search-path-specification of gdk-pixbuf has broken the
>> build of transmission as this phase now errors out:
>>
>> =========
>> (wrap-program (string-append #$output:gui "/bin/transmission-gtk")
>>   ;; Wrapping GDK_PIXBUF_MODULE_FILE allows Transmission to load
>>   ;; its own icons in pure environments.
>>   `("GDK_PIXBUF_MODULE_FILE" =
>>     (,(getenv "GDK_PIXBUF_MODULE_FILE"))))
>> =========
>>
>> Doing a quick search it looks like there at least 10 packages that need
>> to be adjusted
>
> Hello, I had pushed fixes for transmission and xournalpp.  Other using
> glib-or-gtk or meson build system still works as GDK_PIXBUF_MODULE_FILE
> was set in the generate-gdk-pixbuf-loaders-cache-file phase.
>
> Wrap binaries with GUIX_GDK_PIXBUF_MODULE_FILES is not ideal currently,
> since it would contain duplicated loaders from cache files.  After we
> remove the generate-gdk-pixbuf-loaders-cache-file phase, we can wrap
> with GUIX_GDK_PIXBUF_MODULE_FILES, which should mostly only contains
> gdk-pixbuf and librsvg.

Thanks for the explanation and acting on the report!

-- 
Thanks,
Maxim